Package net.shibboleth.idp.authn

# Class AuthenticationResult.DescriptorRevocationPredicate

java.lang.Object
net.shibboleth.idp.authn.AuthenticationResult.DescriptorRevocationPredicate

All Implemented Interfaces:
  `BiPredicate<ProfileRequestContext,AuthenticationResult>`

Enclosing class:
  AuthenticationResult

class AuthenticationResult.DescriptorRevocationPredicate extends Object implements BiPredicate<ProfileRequestContext,AuthenticationResult>
Inner class that delegates revocation condition evaluation to the underlying `AuthenticationFlowDescriptor`.

## Constructor Summary

Constructors
Constructor
Description
`DescriptorRevocationPredicate()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext prc, AuthenticationResult result)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.BiPredicate

`and, negate, or`

## Constructor Details

### DescriptorRevocationPredicate

DescriptorRevocationPredicate()

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext prc, @Nullable AuthenticationResult result)

Specified by:
  `test` in interface `BiPredicate<ProfileRequestContext,AuthenticationResult>`